<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMPlanPersonInfoBase from './emplan-person-info-base.vue';

import view_form from '@widgets/emplan/person-info-form/person-info-form.vue';

/**
 * 计划
 *
 * @export
 * @class EMPlanPersonInfo
 * @extends {EMPlanPersonInfoBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMPlanPersonInfo extends EMPlanPersonInfoBase { }
</script>